lens-3.8.7.3: Lenses, Folds and Traversals

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | None

Control.Seq.Lens

Description

A `Fold` can be used to take the role of `Foldable` in `Control.Seq`.

Synopsis

- seqOf :: Getting (Endo [a]) s t a b -> Strategy a -> Strategy s

# Documentation

seqOf :: Getting (Endo [a]) s t a b -> Strategy a -> Strategy s

Evaluate the elements targeted by a `Lens`, `Traversal`, `Iso`, `Getter` or `Fold` according to the given strategy.

    seqFoldable = seqOf folded